DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·RECORDS·PUT·GENERATED

Replace a record

PUT
/tables/{tableId}/records/{id}
SCOPE:tables:write

Replace a record

Authentication

Requires API key with tables:write scope.

Path parameters

NameTypeDescription
tableIdUUIDPath parameter.
idUUIDPath parameter.

Request

{
  "fields": {
    "example_key": null
  }
}

Response — 200 OK

{
  "id": "00000000-0000-0000-0000-000000000000",
  "fields": {
    "example_key": null
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Errors

StatusCodeWhen
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
404not_foundResource not found.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/tables/00000000-0000-0000-0000-000000000000/records/00000000-0000-0000-0000-000000000000 \
  -X PUT \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2' \
  -H 'Content-Type: application/json' \
  --data '{"fields":{"example_key":null}}'
const response = await fetch('/tables/00000000-0000-0000-0000-000000000000/records/00000000-0000-0000-0000-000000000000', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "fields": {
    "example_key": null
  }
}),
})
const data = await response.json()
{
  "server": "onnie",
  "name": "putRecord",
  "description": "PUT /tables/{tableId}/records/{id}"
}